# Incoming Call Event When a call reaches the Sinch platform, the system makes a POST request to the specified calling callback URL. This event, called the ICE event, can be triggered by either an incoming data call or an incoming PSTN call. Look here for allowed instructions and actions. If there is no response to the callback within the timeout period, an error message is played, and the call is disconnected. Endpoint: POST ice Version: 1.0.1 Security: Basic, Signed ## Request fields (application/json): - `event` (string, required) Must have the value ice. Enum: "ice", "ace", "dice", "pie", "notify" - `callid` (string) Used in some types of events, it presents the unique ID assigned to this call. - `conferenceId` (string) Used in some types of events, it presents the unique Conference ID assigned to this call. - `version` (integer) The current API version. - `timestamp` (string) The timestamp in UTC format. Example: "2023-04-21T14:45:51Z" - `custom` (string) A string that can be used to pass custom information related to the call. - `applicationKey` (string) The unique application key. You can find it in the Sinch [dashboard](https://dashboard.sinch.com/voice/apps). - `callResourceUrl` (string) The path of the API resource. - `userRate` (object) - `userRate.currencyId` (string,null) - `userRate.amount` (number) - `cli` (string) The number that will be displayed to the recipient of the call. To set your own CLI, you may use your verified number or your Dashboard virtual number and add it to the connectPSTN SVAML response to the Incoming Call Event request. It must be in [E.164](https://community.sinch.com/t5/Glossary/E-164/ta-p/7537) format. - `to` (object) Known destination - `domain` (string) Can be either pstn for PSTN endpoint or mxp for data (app or web) clients. Enum: "pstn", "mxp", "PSTN", "MXP" - `originationType` (string) Can be either pstn for PSTN endpoint or mxp for data (app or web) clients. Enum: "pstn", "mxp", "PSTN", "MXP" - `duration` (integer) The duration of the call in seconds. - `rdnis` (string) The redirected dialled number identification service. - `callHeaders` (array) If the call is initiated by a Sinch SDK client, call headers are the headers specified by the caller client. Read more about call headers [here](https://developers.sinch.com/docs/voice/api-reference/call-headers). - `callHeaders.key` (string) The call header key of the key value pair. - `callHeaders.value` (string) The call header value of the key value pair. ## Response 200 fields (application/json): - `instructions` (array) The collection of instructions that can perform various tasks during the call. You can include as many instructions as necessary. - `action` (object) The action that will control the call. Each SVAML object can only include one action.